class AdvertisingDialogModel {
  int id;
  int uid;
  String name;
  String conditionType;
  String condition;
  String position;
  String image;
  int interval;
  String skip;
  int type;
  String popupTime;
  int state;
  String createAt;
  String updateAt;

  AdvertisingDialogModel(
      {this.id,
        this.uid,
        this.name,
        this.conditionType,
        this.condition,
        this.position,
        this.image,
        this.interval,
        this.skip,
        this.type,
        this.popupTime,
        this.state,
        this.createAt,
        this.updateAt});

  AdvertisingDialogModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    uid = json['uid'];
    name = json['name'];
    conditionType = json['condition_type'];
    condition = json['condition'];
    position = json['position'];
    image = json['image'];
    interval = json['interval'];
    skip = json['skip'];
    type = json['type'];
    popupTime = json['popup_time'];
    state = json['state'];
    createAt = json['create_at'];
    updateAt = json['update_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['uid'] = this.uid;
    data['name'] = this.name;
    data['condition_type'] = this.conditionType;
    data['condition'] = this.condition;
    data['position'] = this.position;
    data['image'] = this.image;
    data['interval'] = this.interval;
    data['skip'] = this.skip;
    data['type'] = this.type;
    data['popup_time'] = this.popupTime;
    data['state'] = this.state;
    data['create_at'] = this.createAt;
    data['update_at'] = this.updateAt;
    return data;
  }
}
