part of 'favorites_bloc.dart';

@immutable
abstract class FavoritesState extends Equatable {
  @override
  List<Object> get props => [];
}

/// 初始化状态(骨架图)
class FavoritesInitial extends FavoritesState {}

/// 数据加载成功
class FavoritesLoadedState extends FavoritesState {
  FavoritesStyleModel model;

  FavoritesLoadedState({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 未知错误
class FavoritesErrorState extends FavoritesState {}
