import 'package:meta/meta.dart';

@immutable
abstract class FeedbackEvent {}

/// 初始化
class FeedbackInitEvent extends FeedbackEvent{
  final Map<String, dynamic> model;
  FeedbackInitEvent({this.model});
}

/// 提交反馈
class FeedbackSubmitEvent extends FeedbackEvent{
  final Map<String, dynamic> model;

  FeedbackSubmitEvent({this.model});
}