part of 'goods_details_page_bloc.dart';

abstract class GoodsDetailsPageState extends Equatable {
  const GoodsDetailsPageState();

  @override
  List<Object> get props => [];
}

/// 初始化状态
class GoodsDetailsPageInitial extends GoodsDetailsPageState {}

/// 数据加载完毕状态
class GoodsDetailsPageLoadedState extends GoodsDetailsPageState {
  final List<Map<String, dynamic>> model;

  const GoodsDetailsPageLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载出错
class GoodsDetailsPageErrorState extends GoodsDetailsPageState {}
