class MineDetailModel {
  String avatar;
  String nickname;
  String gender;
  String birthday;
  String registerTime;
  String fileBucketUrl;
  String fileFormat;
  String is_upload_wx;

  MineDetailModel(
      {this.avatar,
        this.nickname,
        this.gender,
        this.birthday,
        this.registerTime,
        this.fileBucketUrl,
        this.fileFormat,
        this.is_upload_wx,
      });

  MineDetailModel.fromJson(Map<String, dynamic> json) {
    avatar = json['avatar'];
    nickname = json['nickname'];
    gender = json['gender'];
    birthday = json['birthday'];
    registerTime = json['register_time'];
    fileBucketUrl = json['file_bucket_url'];
    fileFormat = json['file_format'];
    is_upload_wx = json['is_upload_wx'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['avatar'] = this.avatar;
    data['nickname'] = this.nickname;
    data['gender'] = this.gender;
    data['birthday'] = this.birthday;
    data['register_time'] = this.registerTime;
    data['file_bucket_url'] = this.fileBucketUrl;
    data['file_format'] = this.fileFormat;
    data['is_upload_wx'] = this.is_upload_wx;
    return data;
  }
}

