import 'package:meta/meta.dart';
import 'package:zhiying_base_widget/pages/privacy_settings_page/model/privacy_settings_data_model.dart';
import 'package:zhiying_base_widget/pages/privacy_settings_page/model/privacy_settings_model.dart';

@immutable
abstract class PrivacySettingsState {}

class PrivacySettingsInitial extends PrivacySettingsState {}

class PrivacySettingsLoadedState extends PrivacySettingsState {
  PrivacySettingsModel model;
  PrivacySettingsDataModel dataModel;

  PrivacySettingsLoadedState({this.model, this.dataModel});
}

class PrivacySettingsErrorState extends PrivacySettingsState {}

/// 更新失败
class PrivacySettingsUpdateErrorState extends PrivacySettingsState{}