part of 'search_item_page_bloc.dart';

abstract class SearchItemPageState extends Equatable {
  const SearchItemPageState();

  @override
  List<Object> get props => [];
}

class SearchItemPageInitial extends SearchItemPageState {
  @override
  List<Object> get props => [];
}

/// 数据加载成功
class SearchItemLoadedState extends SearchItemPageState {
  List<Map<String, dynamic>> model;

  SearchItemLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class SearchItemErrorState extends SearchItemPageState {}
