part of 'search_result_item_bloc.dart';

abstract class SearchResultItemState extends Equatable {
  const SearchResultItemState();

  @override
  List<Object> get props => [];
}

class SearchResultItemInitial extends SearchResultItemState {}

/// 数据加载完毕
class SearchResultItemLoadedState extends SearchResultItemState {
  List<Map<String, dynamic>> model;

  SearchResultItemLoadedState({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class SearchResultItemErrorState extends SearchResultItemState {}
