part of 'search_think_bloc.dart';

abstract class SearchThinkState extends Equatable {
  const SearchThinkState();
}

class SearchThinkInitial extends SearchThinkState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕
class SearchThinkLoadedState extends SearchThinkState{
  List<SearchThinkModel> model;
  SearchThinkLoadedState(this.model);
  @override
  List<Object> get props => [this.model];
}

/// 显示本来的视图
class SearchThinkShowBaseViewStatte extends SearchThinkState{
  @override
  List<Object> get props => [];
}

/// 数据加载出错
class SearchThinkErrorState extends SearchThinkState{
  @override
  List<Object> get props => [];
}
