class SecurityBindAlipayModel {
  String appBarName;
  String appBarName2;
  String appBarNameColor;
  String appBarBgColor;
  String realNameText;
  String alipayRealNameTextColor;
  String alipayRealNameHintText;
  String alipayRealNameHintTextColor;
  String alipayAccountTextColor;
  String alipayAccountHintText;
  String alipayAccountHintTextColor;
  String validCodeText;
  String validCodeTextColor;
  String validCodeHintText;
  String validCodeHintTextColor;
  String btnValidCodeText;
  String btnValidCodeInactiveColor;
  String btnValidCodeTextColor;
  String btnValidCodeBgColor;
  String btnValidCodeBorderColor;
  String btnBindAckText;
  String btnBindAckTextColor;
  String btnBindAckActiveTextColor;

  SecurityBindAlipayModel(
      {this.appBarName,
      this.appBarName2,
      this.appBarNameColor,
      this.appBarBgColor,
      this.realNameText,
      this.alipayRealNameTextColor,
      this.alipayRealNameHintText,
      this.alipayRealNameHintTextColor,
      this.alipayAccountTextColor,
      this.alipayAccountHintText,
      this.alipayAccountHintTextColor,
      this.validCodeText,
      this.validCodeTextColor,
      this.validCodeHintText,
      this.validCodeHintTextColor,
      this.btnValidCodeText,
      this.btnValidCodeInactiveColor,
      this.btnValidCodeTextColor,
      this.btnValidCodeBgColor,
      this.btnValidCodeBorderColor,
      this.btnBindAckText,
      this.btnBindAckTextColor,
      this.btnBindAckActiveTextColor});

  SecurityBindAlipayModel.fromJson(Map<String, dynamic> json) {
    appBarName = json['app_bar_name'];
    appBarName2 = json['app_bar_name2'];
    appBarNameColor = json['app_bar_name_color'];
    appBarBgColor = json['app_bar_bg_color'];
    realNameText = json['real_name_text'];
    alipayRealNameTextColor = json['alipay_real_name_text_color'];
    alipayRealNameHintText = json['alipay_real_name_hint_text'];
    alipayRealNameHintTextColor = json['alipay_real_name_hint_text_color'];
    alipayAccountTextColor = json['alipay_account_text_color'];
    alipayAccountHintText = json['alipay_account_hint_text'];
    alipayAccountHintTextColor = json['alipay_account_hint_text_color'];
    validCodeText = json['valid_code_text'];
    validCodeTextColor = json['valid_code_text_color'];
    validCodeHintText = json['valid_code_hint_text'];
    validCodeHintTextColor = json['valid_code_hint_text_color'];
    btnValidCodeText = json['btn_valid_code_text'];
    btnValidCodeInactiveColor = json['btn_valid_code_inactive_color'];
    btnValidCodeTextColor = json['btn_valid_code_text_color'];
    btnValidCodeBgColor = json['btn_valid_code_bg_color'];
    btnValidCodeBorderColor = json['btn_valid_code_border_color'];
    btnBindAckText = json['btn_bind_ack_text'];
    btnBindAckTextColor = json['btn_bind_ack_text_color'];
    btnBindAckActiveTextColor = json['btn_bind_ack_active_text_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_name'] = this.appBarName;
    data['app_bar_name2'] = this.appBarName2;
    data['app_bar_name_color'] = this.appBarNameColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['real_name_text'] = this.realNameText;
    data['alipay_real_name_text_color'] = this.alipayRealNameTextColor;
    data['alipay_real_name_hint_text'] = this.alipayRealNameHintText;
    data['alipay_real_name_hint_text_color'] = this.alipayRealNameHintTextColor;
    data['alipay_account_text_color'] = this.alipayAccountTextColor;
    data['alipay_account_hint_text'] = this.alipayAccountHintText;
    data['alipay_account_hint_text_color'] = this.alipayAccountHintTextColor;
    data['valid_code_text'] = this.validCodeText;
    data['valid_code_text_color'] = this.validCodeTextColor;
    data['valid_code_hint_text'] = this.validCodeHintText;
    data['valid_code_hint_text_color'] = this.validCodeHintTextColor;
    data['btn_valid_code_text'] = this.btnValidCodeText;
    data['btn_valid_code_inactive_color'] = this.btnValidCodeInactiveColor;
    data['btn_valid_code_text_color'] = this.btnValidCodeTextColor;
    data['btn_valid_code_bg_color'] = this.btnValidCodeBgColor;
    data['btn_valid_code_border_color'] = this.btnValidCodeBorderColor;
    data['btn_bind_ack_text'] = this.btnBindAckText;
    data['btn_bind_ack_text_color'] = this.btnBindAckTextColor;
    data['btn_bind_ack_active_text_color'] = this.btnBindAckActiveTextColor;
    return data;
  }
}
