part of 'team_bloc.dart';

abstract class TeamState extends Equatable {
  const TeamState();
  @override
  List<Object> get props => [];
}

class TeamInitial extends TeamState {
}

/// 数据加载成功
class TeamLoadedState extends TeamState{
  TeamStyleModel styleModel;
  TeamDataModel dataModel;


  TeamLoadedState({this.styleModel, this.dataModel});

  @override
  List<Object> get props => [this.dataModel, this.styleModel];
}

/// 数据加载失败
class TeamErrorState extends TeamState{}