part of 'vip_center_bloc.dart';

@immutable
abstract class VipCenterState {}

class VipCenterInitial extends VipCenterState {}

/// 数据加载完毕
class VipCenterLoadedState extends VipCenterState{

  VipCenterStyleModel styleMode;
  VipCenterDataModel dataModel;

  VipCenterLoadedState({this.styleMode, this.dataModel});
}

/// 初始化出错
class VipCenterInitErrorState extends VipCenterState{}

/// 数据加载失败
class VipCenterErrorState extends VipCenterState{}