import 'package:equatable/equatable.dart';
import 'package:zhiying_base_widget/widgets/custom/notice/model/custom_notice_model.dart';
import 'bloc.dart';

abstract class CustomNoticeState extends Equatable {
  const CustomNoticeState();
  @override
  List<Object> get props => [];
}

/// 初始化事件
class CustomNoticeInitial extends CustomNoticeState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕
class CustomNoticeLoadedState extends CustomNoticeState {
  final CustomNoticeModel model;

  const CustomNoticeLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载出错
class CustomNoticeErrorState extends CustomNoticeState{

}
