part of 'favorites_goods_list_bloc.dart';

@immutable
abstract class FavoritesGoodsListState {}

/// 初始化状态(骨架图)
class FavoritesGoodsListInitial extends FavoritesGoodsListState {}

/// 初始化失败状态(空数据)
class FavoritesGoodsListInitErrorState extends FavoritesGoodsListState {}

/// 下拉刷新失败状态
class FavoritesGoodsListRefreshErrorState extends FavoritesGoodsListState {}

/// 下拉刷新成功状态
class FavoritesGoodsListRefreshSuccessState extends FavoritesGoodsListState {}

/// 上拉更多失败状态
class FavoritesGoodsListLoadErrorState extends FavoritesGoodsListState {}

/// 上拉更多成功状态
class FavoritesGoodsListLoadSuccessState extends FavoritesGoodsListState {}

/// 数据加载成功
class FavoritesGoodsListLoadedState extends FavoritesGoodsListState {
  // List<FavoritesGoodsListItemModel> dataModel;
  FavoritesGoodsListDataModel dataModel;
  FavoritesGoodsListLoadedState({@required this.dataModel});
}

/// 没选中
class FavoritesGoodsListNotSelectState extends FavoritesGoodsListState{}

/// 未知错误
class FavoritesGoodsListErrorState extends FavoritesGoodsListState {}
