part of 'goods_details_footer_bloc.dart';

abstract class GoodsDetailsFooterEvent extends Equatable {
  const GoodsDetailsFooterEvent();

  @override
  List<Object> get props => [];
}

/// 初始化事件
class GoodsDetailsFooterInitEvent extends GoodsDetailsFooterEvent {
  final Map<String, dynamic> model;

  const GoodsDetailsFooterInitEvent({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 点击收藏
class GoodsDetailsFooterCollectEvent extends GoodsDetailsFooterEvent {
  final Map<String, dynamic> model;

  GoodsDetailsFooterCollectEvent({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 取消收藏
class GoodsDetailsFooterDeleteCollectEvent extends GoodsDetailsFooterEvent {
  final Map<String, dynamic> model;

  GoodsDetailsFooterDeleteCollectEvent({@required this.model});

  @override
  List<Object> get props => [this.model];
}
