class GoodsListModel {
  String commission_bg_color;
  String commission_text_color;
  String coupon_bg_color;
  String coupon_text_color;
  String current_price_color;
  String market_price_color;
  String provider_bg_color;
  String provider_name_color;
  String shop_icon;
  String shop_name_color;
  String title_color;
  String rec_list_icon;
  String rec_list_text;

  GoodsListModel({
    this.commission_bg_color,
    this.commission_text_color,
    this.coupon_bg_color,
    this.coupon_text_color,
    this.current_price_color,
    this.market_price_color,
    this.provider_bg_color,
    this.provider_name_color,
    this.shop_icon,
    this.shop_name_color,
    this.title_color,
    this.rec_list_icon,
    this.rec_list_text,
  });

  factory GoodsListModel.fromJson(Map<String, dynamic> json) {
    return GoodsListModel(
        commission_bg_color: json['commission_bg_color'],
        commission_text_color: json['commission_text_color'],
        coupon_bg_color: json['coupon_bg_color'],
        coupon_text_color: json['coupon_text_color'],
        current_price_color: json['current_price_color'],
        market_price_color: json['market_price_color'],
        provider_bg_color: json['provider_bg_color'],
        provider_name_color: json['provider_name_color'],
        shop_icon: json['shop_icon'],
        shop_name_color: json['shop_name_color'],
        title_color: json['title_color'],
        rec_list_icon: json['rec_list_icon'],
        rec_list_text: json['rec_list_text']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['commission_bg_color'] = this.commission_bg_color;
    data['commission_text_color'] = this.commission_text_color;
    data['coupon_bg_color'] = this.coupon_bg_color;
    data['coupon_text_color'] = this.coupon_text_color;
    data['current_price_color'] = this.current_price_color;
    data['market_price_color'] = this.market_price_color;
    data['provider_bg_color'] = this.provider_bg_color;
    data['provider_name_color'] = this.provider_name_color;
    data['shop_icon'] = this.shop_icon;
    data['shop_name_color'] = this.shop_name_color;
    data['title_color'] = this.title_color;
    data['rec_list_icon'] = this.rec_list_icon;
    data['rec_list_text'] = this.rec_list_text;
    return data;
  }
}
