class GoodsDetailsRecommendTitileModel {
    String name;
    String desc;
    String title;
    String icon;
    String moduleType;
    String moduleKey;
    String isTopMargin;
    String isLeftRightMargin;
    String isShow;
    String topMargin;
    String leftRightMargin;
    String topLeftRadius;
    String topRightRadius;
    String bottomLeftRadius;
    String bottomRightRadius;
    String bgColor;
    String titleColor;

    GoodsDetailsRecommendTitileModel(
    {this.name,
        this.desc,
        this.title,
        this.icon,
        this.moduleType,
        this.moduleKey,
        this.isTopMargin,
        this.isLeftRightMargin,
        this.isShow,
        this.topMargin,
        this.leftRightMargin,
        this.topLeftRadius,
        this.topRightRadius,
        this.bottomLeftRadius,
        this.bottomRightRadius,
        this.bgColor,
        this.titleColor});

    GoodsDetailsRecommendTitileModel.fromJson(Map<String, dynamic> json) {
        name = json['name'];
        desc = json['desc'];
        title = json['title'];
        icon = json['icon'];
        moduleType = json['module_type'];
        moduleKey = json['module_key'];
        isTopMargin = json['is_top_margin'];
        isLeftRightMargin = json['is_left_right_margin'];
        isShow = json['is_show'];
        topMargin = json['top_margin'];
        leftRightMargin = json['left_right_margin'];
        topLeftRadius = json['top_left_radius'];
        topRightRadius = json['top_right_radius'];
        bottomLeftRadius = json['bottom_left_radius'];
        bottomRightRadius = json['bottom_right_radius'];
        bgColor = json['bg_color'];
        titleColor = json['title_color'];
    }

    Map<String, dynamic> toJson() {
        final Map<String, dynamic> data = new Map<String, dynamic>();
        data['name'] = this.name;
        data['desc'] = this.desc;
        data['title'] = this.title;
        data['icon'] = this.icon;
        data['module_type'] = this.moduleType;
        data['module_key'] = this.moduleKey;
        data['is_top_margin'] = this.isTopMargin;
        data['is_left_right_margin'] = this.isLeftRightMargin;
        data['is_show'] = this.isShow;
        data['top_margin'] = this.topMargin;
        data['left_right_margin'] = this.leftRightMargin;
        data['top_left_radius'] = this.topLeftRadius;
        data['top_right_radius'] = this.topRightRadius;
        data['bottom_left_radius'] = this.bottomLeftRadius;
        data['bottom_right_radius'] = this.bottomRightRadius;
        data['bg_color'] = this.bgColor;
        data['title_color'] = this.titleColor;
        return data;
    }
}
