class StoreModel {
  String shop_id;
  String shop_name;
  String shop_avatar;
  // 宝贝描述
  String description;
  // 物流服务
  String logistics;
  // 服务态度
  String service;

  String name;
  String desc;
  String moduleType;
  String moduleKey;
  String isTopMargin;
  String isLeftRightMargin;
  String isShow;
  String topMargin;
  String leftRightMargin;
  String topLeftRadius;
  String topRightRadius;
  String bottomLeftRadius;
  String bottomRightRadius;
  String bgColor;
  String shopTextColor;
  String descTextColor1;
  String descTextColor2;
  String descTextColor3;
  String moreText;
  String moreTextColor;
  String moreIcon;
  String heightPointIcon;
  String publicPointIcon;
  String lowPointIcon;
  String shop_url;

  StoreModel({
    this.description,
    this.logistics,
    this.service,
    this.shop_id,
    this.shop_name,
    this.shop_avatar,

    this.name,
    this.desc,
    this.moduleType,
    this.moduleKey,
    this.isTopMargin,
    this.isLeftRightMargin,
    this.isShow,
    this.topMargin,
    this.leftRightMargin,
    this.topLeftRadius,
    this.topRightRadius,
    this.bottomLeftRadius,
    this.bottomRightRadius,
    this.bgColor,
    this.shopTextColor,
    this.descTextColor1,
    this.descTextColor2,
    this.descTextColor3,
    this.moreText,
    this.moreTextColor,
    this.moreIcon,
    this.heightPointIcon,
    this.publicPointIcon,
    this.lowPointIcon,
    this.shop_url

  });

  StoreModel.fromJson(Map<String, dynamic> json) {
    description = json['description'];
    logistics = json['logistics'];
    service = json['service'];
    shop_id = json['shop_id'];
    shop_name = json['shop_name'];
    shop_avatar = json['shop_avatar'];

    name = json['name'];
    desc = json['desc'];
    moduleType = json['module_type'];
    moduleKey = json['module_key'];
    isTopMargin = json['is_top_margin'];
    isLeftRightMargin = json['is_left_right_margin'];
    isShow = json['is_show'];
    topMargin = json['top_margin'];
    leftRightMargin = json['left_right_margin'];
    topLeftRadius = json['top_left_radius'];
    topRightRadius = json['top_right_radius'];
    bottomLeftRadius = json['bottom_left_radius'];
    bottomRightRadius = json['bottom_right_radius'];
    bgColor = json['bg_color'];
    shopTextColor = json['shop_text_color'];
    descTextColor1 = json['desc_text_color1'];
    descTextColor2 = json['desc_text_color2'];
    descTextColor3 = json['desc_text_color3'];
    moreText = json['more_text'];
    moreTextColor = json['more_text_color'];
    moreIcon = json['more_icon'];
    heightPointIcon = json['height_point_icon'];
    publicPointIcon = json['public_point_icon'];
    lowPointIcon = json['low_point_icon'];
    shop_url = json['shop_url'];

  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['description'] = this.description;
    data['logistics'] = this.logistics;
    data['service'] = this.service;
    data['shop_id'] = this.shop_id;
    data['shop_name'] = this.shop_name;
    data['shop_avatar'] = this.shop_avatar;

    data['name'] = this.name;
    data['desc'] = this.desc;
    data['module_type'] = this.moduleType;
    data['module_key'] = this.moduleKey;
    data['is_top_margin'] = this.isTopMargin;
    data['is_left_right_margin'] = this.isLeftRightMargin;
    data['is_show'] = this.isShow;
    data['top_margin'] = this.topMargin;
    data['left_right_margin'] = this.leftRightMargin;
    data['top_left_radius'] = this.topLeftRadius;
    data['top_right_radius'] = this.topRightRadius;
    data['bottom_left_radius'] = this.bottomLeftRadius;
    data['bottom_right_radius'] = this.bottomRightRadius;
    data['bg_color'] = this.bgColor;
    data['shop_text_color'] = this.shopTextColor;
    data['desc_text_color1'] = this.descTextColor1;
    data['desc_text_color2'] = this.descTextColor2;
    data['desc_text_color3'] = this.descTextColor3;
    data['more_text'] = this.moreText;
    data['more_text_color'] = this.moreTextColor;
    data['more_icon'] = this.moreIcon;
    data['height_point_icon'] = this.heightPointIcon;
    data['public_point_icon'] = this.publicPointIcon;
    data['low_point_icon'] = this.lowPointIcon;
    data['shop_url'] = this.shop_url;

    return data;
  }
}
