class HomeQuickEntryDataModel {
  String data;
  String aspect_ratio;
  String badge;
  String bg_color;
  String bg_color_t;
  String bg_img;
  String font_color;
  String icon;
  String img;
  int is_global;
  String margin;
  int mod_id;
  String mod_name;
  int mod_pid;
  String path;
  String position;
  String skip_identifier;
  int sort;
  String subtitle;
  String title;
  String url;

  HomeQuickEntryDataModel(
      {this.data,
      this.aspect_ratio,
      this.badge,
      this.bg_color,
      this.bg_color_t,
      this.bg_img,
      this.font_color,
      this.icon,
      this.img,
      this.is_global,
      this.margin,
      this.mod_id,
      this.mod_name,
      this.mod_pid,
      this.path,
      this.position,
      this.skip_identifier,
      this.sort,
      this.subtitle,
      this.title,
      this.url});

  factory HomeQuickEntryDataModel.fromJson(Map<String, dynamic> json) {
    return HomeQuickEntryDataModel(
      data: json['data'],
      aspect_ratio: json['aspect_ratio'],
      badge: json['badge'],
      bg_color: json['bg_color'],
      bg_color_t: json['bg_color_t'],
      bg_img: json['bg_img'],
      font_color: json['font_color'],
      icon: json['icon'],
      img: json['img'],
      is_global: json['is_global'],
      margin: json['margin'],
      mod_id: json['mod_id'],
      mod_name: json['mod_name'],
      mod_pid: json['mod_pid'],
      path: json['path'],
      position: json['position'],
      skip_identifier: json['skip_identifier'],
      sort: json['sort'],
      subtitle: json['subtitle'],
      title: json['title'],
      url: json['url'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['data'] = this.data;
    data['aspect_ratio'] = this.aspect_ratio;
    data['badge'] = this.badge;
    data['bg_color'] = this.bg_color;
    data['bg_color_t'] = this.bg_color_t;
    data['bg_img'] = this.bg_img;
    data['font_color'] = this.font_color;
    data['icon'] = this.icon;
    data['img'] = this.img;
    data['is_global'] = this.is_global;
    data['margin'] = this.margin;
    data['mod_id'] = this.mod_id;
    data['mod_name'] = this.mod_name;
    data['mod_pid'] = this.mod_pid;
    data['path'] = this.path;
    data['position'] = this.position;
    data['skip_identifier'] = this.skip_identifier;
    data['sort'] = this.sort;
    data['subtitle'] = this.subtitle;
    data['title'] = this.title;
    data['url'] = this.url;
    return data;
  }
}
