part of 'search_result_goods_list_bloc.dart';

abstract class SearchResultGoodsListEvent extends Equatable {
  const SearchResultGoodsListEvent();

  @override
  List<Object> get props => [];
}

/// 初始化数据
class SearchResultGoodsListInitEvent extends SearchResultGoodsListEvent {}

/// 下拉刷新
class SearchResultGoodsListOnRefreshEvent extends SearchResultGoodsListEvent {}

/// 上拉更多
class SearchResultGoodsListOnLoadEvent extends SearchResultGoodsListEvent {}

/// 修改样式
class SearchResultGoodsListChangeStyleEvent extends SearchResultGoodsListEvent{}

/// 关键字搜索
class SearchResultGoodsListSubmitEvent extends SearchResultGoodsListEvent{
  final String keywords;
  const SearchResultGoodsListSubmitEvent(this.keywords);
}

/// 排序
class SearchResultGoodsListSortEvent extends SearchResultGoodsListEvent{
  String args;
  String id;
  bool remove;
  SearchResultGoodsListSortEvent({@required this.args, @required this.id, this.remove =false});
  @override
  List<Object> get props => [this.args, this.id];
}

/// 综合排序
// class SearchResultGoodsListZHSortEvent extends SearchResultGoodsListEvent{
//   String args;
//   String id;
//
//   SearchResultGoodsListZHSortEvent(this.args, this.id);
//   @override
//   List<Object> get props => [this.args, this.id];
// }
//
// /// 补贴排序
// class SearchResultGoodsListBtSortEvent extends SearchResultGoodsListEvent{
//   String args;
//   String id;
//
//   SearchResultGoodsListBtSortEvent(this.args, this.id);
//   @override
//   List<Object> get props => [this.args, this.id];
// }
//
// /// 优惠券排序
// class SearchResultGoodsListYHQSortEvent extends SearchResultGoodsListEvent{
//   String args;
//   String id;
//
//   SearchResultGoodsListYHQSortEvent(this.args, this.id);
//   @override
//   List<Object> get props => [this.args, this.id];
// }
//
// /// 优惠券排序
// class SearchResultGoodsListSXSortEvent extends SearchResultGoodsListEvent{
//   String args;
//   String id;
//
//   SearchResultGoodsListSXSortEvent(this.args, this.id);
//   @override
//   List<Object> get props => [this.args, this.id];
// }