class SearchResultInputModel {
  String search_button;
  String search_button_color;
  String search_button_t;
  String search_icon;
  String search_inpu_hint_text;
  String keywords;

  SearchResultInputModel({
    this.search_button,
    this.search_button_color,
    this.search_button_t,
    this.search_icon,
    this.search_inpu_hint_text,
    this.keywords,
  });

  factory SearchResultInputModel.fromJson(Map<String, dynamic> json) {
    return SearchResultInputModel(
      search_button: json['search_button'],
      search_button_color: json['search_button_color'],
      search_button_t: json['search_button_t'],
      search_icon: json['search_icon'],
      search_inpu_hint_text: json['search_inpu_hint_text'],
        keywords: json['keywords'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['search_button'] = this.search_button;
    data['search_button_color'] = this.search_button_color;
    data['search_button_t'] = this.search_button_t;
    data['search_icon'] = this.search_icon;
    data['search_inpu_hint_text'] = this.search_inpu_hint_text;
    data['keywords'] = this.keywords;
    return data;
  }
}
