import 'dart:typed_data';

///
/// 1.纯文本content
/// 2.分享链接 title image url ,content(可选)
/// 3.纯图片/海报 poster/image
///
class ShareDataModel {
  String title;
  String content;
  Uint8List poster; // 海报
  List<String> image; // 图片地址列表
  String url;

  ShareDataModel({
    this.title,
    this.content,
    this.image,
    this.url,
    this.poster,
  });
}
