part of 'team_list_fans_bloc.dart';

abstract class TeamListFansEvent extends Equatable {
  const TeamListFansEvent();

  @override
  List<Object> get props => [];
}

/// 初始化
class TeamListFansInitEvent extends TeamListFansEvent {
  // final String type;
  //
  // TeamListFansInitEvent({@required this.type});
  //
  // @override
  // List<Object> get props => [this.type];
}

/// 下拉刷新
class TeamListFansOnRefreshEvent extends TeamListFansEvent {}

/// 上拉更多
class TeamListFansOnLoadEevnt extends TeamListFansEvent {}

/// 排序(单个条件)
class TeamListFansOnSortEvent extends TeamListFansEvent {
  final String key;
  final String args;

  TeamListFansOnSortEvent({@required this.key, @required this.args});

  @override
  List<Object> get props => [this.key, this.args];
}

/// 筛选(所有条件)
class TeamListFansFilterEvent extends TeamListFansEvent{
  final Map<String, String > args;
  const TeamListFansFilterEvent({@required this.args});
  @override
  List<Object> get props => [this.args];
}

/// 搜索
class TeamListFansSearchEvent extends TeamListFansEvent{
  final String keyword;
  TeamListFansSearchEvent(this.keyword);
  @override
  List<Object> get props => [this.keyword];
}