part of 'team_list_fans_bloc.dart';

abstract class TeamListFansState extends Equatable {
  const TeamListFansState();

  @override
  List<Object> get props => [];
}

class TeamListFansInitial extends TeamListFansState {}

/// 数据加载成功
class TeamListFansLoadedState extends TeamListFansState {
  TeamFansListModel model;

  TeamListFansLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class TeamListFansErrorState extends TeamListFansState {
  TeamListFansErrorState copyWith() {
    return TeamListFansErrorState();
  }

  @override
  List<Object> get props => [];
}

/// 加载更多失败
class TeamListFansOnLoadErrorState extends TeamListFansState {}

/// 加载更多数据成功
class TeamListFansOnLoadSuccessState extends TeamListFansState{}

/// 下拉刷新成功
class TeamListFansOnRefreshSuccessState extends TeamListFansState{}

/// 下拉刷新数据失败
class TeamListFansOnRefreshErrorState extends TeamListFansState{}