class WalletDetailDataModel {
  String type;
  String finish;
  String selfbuyEstimatedIncome;
  String selfbuyPayOrder;
  String directPromoteEstimatedIncome;
  String directPromotePayOrder;
  String indirectPromoteEstimatedIncome;
  String indirectPromotePayOrder;

  WalletDetailDataModel(
      {this.type,
        this.finish,
        this.selfbuyEstimatedIncome,
        this.selfbuyPayOrder,
        this.directPromoteEstimatedIncome,
        this.directPromotePayOrder,
        this.indirectPromoteEstimatedIncome,
        this.indirectPromotePayOrder});

  WalletDetailDataModel.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    finish = json['finish'];
    selfbuyEstimatedIncome = json['selfbuy_estimated_income'];
    selfbuyPayOrder = json['selfbuy_pay_order'];
    directPromoteEstimatedIncome = json['direct_promote_estimated_income'];
    directPromotePayOrder = json['direct_promote_pay_order'];
    indirectPromoteEstimatedIncome = json['indirect_promote_estimated_income'];
    indirectPromotePayOrder = json['indirect_promote_pay_order'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['finish'] = this.finish;
    data['selfbuy_estimated_income'] = this.selfbuyEstimatedIncome;
    data['selfbuy_pay_order'] = this.selfbuyPayOrder;
    data['direct_promote_estimated_income'] = this.directPromoteEstimatedIncome;
    data['direct_promote_pay_order'] = this.directPromotePayOrder;
    data['indirect_promote_estimated_income'] =
        this.indirectPromoteEstimatedIncome;
    data['indirect_promote_pay_order'] = this.indirectPromotePayOrder;
    return data;
  }
}
