import 'package:meta/meta.dart';
import 'package:zhiying_base_widget/pages/about_us_page/model/about_us_model.dart';

@immutable
abstract class AboutUsState {}

class AboutUsInitial extends AboutUsState {}


/// 数据加载成功
class AboutUsLoadedState extends AboutUsState{
  AboutUsModel model;
  AboutUsLoadedState({this.model});
}

/// 数据加载失败
class AboutUsErrorState extends AboutUsState{}