import 'package:meta/meta.dart';
import 'package:zhiying_base_widget/pages/feedback_page/model/feedback_model.dart';

@immutable
abstract class FeedbackState {}

class FeedbackInitial extends FeedbackState {}

class FeedbackLoadedState extends FeedbackState{
  FeedbackModel model;

  FeedbackLoadedState({this.model});
}

class FeedbackErrorState extends FeedbackState{}

/// 保存反馈成功
class FeedbackSaveSuccessState extends FeedbackState{}

/// 保存反馈失败
class FeedbackSaveErrorState extends FeedbackState{}