class GoodsSharePosterModel {
  String qrcode;
  String avatar;
  String title;
  String provider;
  String providerName;
  String posterImage;
  String inviteCode;
  String couponPrice;
  String coupon;
  String marketPrice;
  String style;

  GoodsSharePosterModel(
      {this.qrcode,
      this.avatar,
      this.title,
      this.provider,
      this.providerName,
      this.posterImage,
      this.inviteCode,
      this.couponPrice,
      this.coupon,
      this.marketPrice,
      this.style});

  GoodsSharePosterModel.fromJson(Map<String, dynamic> json) {
    qrcode = json['qrcode'];
    avatar = json['avatar'];
    title = json['title'];
    provider = json['provider'];
    providerName = json['provider_name'];
    posterImage = json['poster_image'];
    inviteCode = json['invite_code'];
    couponPrice = json['coupon_price'];
    coupon = json['coupon'];
    marketPrice = json['market_price'];
    style = json['style'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['qrcode'] = this.qrcode;
    data['avatar'] = this.avatar;
    data['title'] = this.title;
    data['provider'] = this.provider;
    data['provider_name'] = this.providerName;
    data['poster_image'] = this.posterImage;
    data['invite_code'] = this.inviteCode;
    data['coupon_price'] = this.couponPrice;
    data['coupon'] = this.coupon;
    data['market_price'] = this.marketPrice;
    data['style'] = this.style;
    return data;
  }
}
