class GoodsSharePosterStyleModel {
  String inviteCodeFontColor;
  String inviteCodeBgColor;
  String providerNameColor;
  String providerBgColor;
  String titleColor;
  String couponpriceColor;
  String couponpriceBgColor;
  String couponColor;
  String couponBgColor;
  String marketPriceColor;
  String fingerprintImg;
  String fingerprintText;
  String fingerprintTextColor;
  String applogImg;

  GoodsSharePosterStyleModel(
      {this.inviteCodeFontColor,
      this.inviteCodeBgColor,
      this.providerNameColor,
      this.providerBgColor,
      this.titleColor,
      this.couponpriceColor,
      this.couponpriceBgColor,
      this.couponColor,
      this.couponBgColor,
      this.marketPriceColor,
      this.fingerprintImg,
      this.fingerprintText,
      this.fingerprintTextColor,
      this.applogImg});

  GoodsSharePosterStyleModel.fromJson(Map<String, dynamic> json) {
    inviteCodeFontColor = json['invite_code_font_color'];
    inviteCodeBgColor = json['invite_code_bg_color'];
    providerNameColor = json['provider_name_color'];
    providerBgColor = json['provider_bg_color'];
    titleColor = json['title_color'];
    couponpriceColor = json['couponprice_color'];
    couponpriceBgColor = json['couponprice_bg_color'];
    couponColor = json['coupon_color'];
    couponBgColor = json['coupon_bg_color'];
    marketPriceColor = json['market_price_color'];
    fingerprintImg = json['fingerprint_img'];
    fingerprintText = json['fingerprint_text'];
    fingerprintTextColor = json['fingerprint_text_color'];
    applogImg = json['applog_img'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['invite_code_font_color'] = this.inviteCodeFontColor;
    data['invite_code_bg_color'] = this.inviteCodeBgColor;
    data['provider_name_color'] = this.providerNameColor;
    data['provider_bg_color'] = this.providerBgColor;
    data['title_color'] = this.titleColor;
    data['couponprice_color'] = this.couponpriceColor;
    data['couponprice_bg_color'] = this.couponpriceBgColor;
    data['coupon_color'] = this.couponColor;
    data['coupon_bg_color'] = this.couponBgColor;
    data['market_price_color'] = this.marketPriceColor;
    data['fingerprint_img'] = this.fingerprintImg;
    data['fingerprint_text'] = this.fingerprintText;
    data['fingerprint_text_color'] = this.fingerprintTextColor;
    data['applog_img'] = this.applogImg;
    return data;
  }
}
