part of 'message_notice_bloc.dart';

abstract class MessageNoticeEvent extends Equatable {
  const MessageNoticeEvent();

  @override
  List<Object> get props => [];
}

/// 初始化
class MessageNoticeInitEvent extends MessageNoticeEvent {}

/// 下拉刷新
class MessageNoticeOnRefreshEvent extends MessageNoticeEvent {}

/// 上拉更多
class MessageNoticeOnLoadEvent extends MessageNoticeEvent {}

/// 消除消息红点
class MessageNoticeClearPointEvent extends MessageNoticeEvent {
  final String selectId;

  MessageNoticeClearPointEvent({@required this.selectId});

  @override
  List<Object> get props => [this.selectId];
}
