part of 'message_notice_bloc.dart';

abstract class MessageNoticeState {
  const MessageNoticeState();

  // @override
  // List<Object> get props => [];
}

class MessageNoticeInitial extends MessageNoticeState {}

/// 数据加载成功
class MessageNoticeLoadedState extends MessageNoticeState {
  MessageNoticeStyleModel styleModel;
  MessageNoticeDataModel dataModel;
  MessageNoticeLoadedState({this.dataModel, this.styleModel});

  @override
  List<Object> get props => [this.styleModel, this.dataModel];
}

/// 初始化失败
class MessageNoticeInitErrorState extends MessageNoticeState{}

/// 下拉刷新失败
class MessageNoticeOnRefreshErrorState extends MessageNoticeState {}

/// 下拉刷新成功
class MessageNoticeOnRefreshSuccessState extends MessageNoticeState{}

/// 上拉更多失败
class MessageNoticeOnLoadErrorState extends MessageNoticeState {}

/// 上拉更多成功
class MessageNoticeOnLoadSuccessState extends MessageNoticeState{}

/// 数据初始化加载失败
class MessageNoticeErrorState extends MessageNoticeState {}
