import 'package:meta/meta.dart';
import 'package:zhiying_base_widget/pages/message_settings_page/model/message_settings_data_model.dart';
import 'package:zhiying_base_widget/pages/message_settings_page/model/message_settings_style_model.dart';

@immutable
abstract class MessageSettingsState {}

class MessageSettingsInitial extends MessageSettingsState {}

class MessageSettingsLoadedState extends MessageSettingsState {
  MessageSettingsStyleModel styleModel;
  MessageSettingsDataModel dataModel;

  MessageSettingsLoadedState({this.styleModel, this.dataModel});
}

class MessageSettingsUpdateErrorState extends MessageSettingsState {}

class MessageSettingsErrorState extends MessageSettingsState {}
