// 订单筛选条件
class OrderFilterModel {
  String keyword;
  String startTime;
  String endTime;
  String type;
  String provider;
  String pageNo;
  String pageSize;

  OrderFilterModel(
      {this.keyword,
      this.startTime,
      this.endTime,
      this.type,
      this.provider,
      this.pageNo,
      this.pageSize});

  OrderFilterModel.fromJson(Map<String, dynamic> json) {
    keyword = json['keyword'];
    startTime = json['start_time'];
    endTime = json['end_time'];
    type = json['type'];
    provider = json['provider'];
    pageNo = json['page_no'];
    pageSize = json['page_size'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['keyword'] = this.keyword;
    data['start_time'] = this.startTime;
    data['end_time'] = this.endTime;
    data['type'] = this.type;
    data['provider'] = this.provider;
    data['page_no'] = this.pageNo;
    data['page_size'] = this.pageSize;
    return data;
  }
}
