part of 'search_bloc.dart';

abstract class SearchState extends Equatable {
  const SearchState();

  @override
  List<Object> get props => [];
}

class SearchInitial extends SearchState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕
class SearchLoadedState extends SearchInitial {
  List<Map<String, dynamic>> model;

  SearchLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 搜索成功
class SearchSubmitSuccessState extends SearchState{

}

/// 搜索失败
class SearchSubmitErrorState extends SearchState{

}

/// 数据加载出错
class SearchErrorState extends SearchState {}
