part of 'search_result_bloc.dart';

abstract class SearchResultState extends Equatable {
  const SearchResultState();

  @override
  List<Object> get props => [];
}

class SearchResultInitial extends SearchResultState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕
class SearchResultLoadedState extends SearchResultState {
  List<Map<String, dynamic>> model;

  SearchResultLoadedState({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class SearchResultErrorState extends SearchResultState {}
