part of 'search_think_bloc.dart';

abstract class SearchThinkEvent extends Equatable {
  const SearchThinkEvent();
}

/// 数据加载
class SearchThinkKeyWrodsChangeEvent extends SearchThinkEvent {
  final String keywords;

  const SearchThinkKeyWrodsChangeEvent(this.keywords, );

  @override
  List<Object> get props => [this.keywords];
}

/// 修改电商类型
class SearchThinkChangeTypeEvent extends SearchThinkEvent{
  final String type;

  SearchThinkChangeTypeEvent(this.type);

  @override
  List<Object> get props => [this.props];
}

/// 显示原本视图
class SearchThinkShowBaseViewEvent extends SearchThinkEvent{
  @override
  List<Object> get props => [];
}