part of 'team_details_bloc.dart';

abstract class TeamDetailsState extends Equatable {
  const TeamDetailsState();

  @override
  List<Object> get props => [];
}

class TeamDetailsInitial extends TeamDetailsState {}

/// 数据加载成功
class TeamDetailsLoadedState extends TeamDetailsState {
  TeamDetailsStyleModel styleModel;
  TeamDetailsDataModel dataModel;

  TeamDetailsLoadedState({@required this.styleModel, this.dataModel});

  @override
  List<Object> get props => [this.styleModel, this.dataModel];
}

/// 数据加载失败
class TeamDetailsErrorState extends TeamDetailsState {}
