import 'dart:io';

import 'package:meta/meta.dart';

@immutable
abstract class UploadWeChatEvent {}

/// 获取数据
class UploadWeChatInitEvent extends UploadWeChatEvent {}

/// 上传或者更新二维码或者图片
class UploadWeChatSubmitEvent extends UploadWeChatEvent {
  File file;
  String wxAccount;

  UploadWeChatSubmitEvent({this.file, this.wxAccount});
}
