part of 'favorites_goods_list_bloc.dart';

@immutable
abstract class FavoritesGoodsListEvent {}


/// 初始化数据
class FavoritesGoodsListInitEvent extends FavoritesGoodsListEvent {}

/// 下拉刷新
class FavoritesGoodsListOnRefreshEvent extends FavoritesGoodsListEvent {}

/// 上拉更多
class FavoritesGoodsListOnLoadEvent extends FavoritesGoodsListEvent {}

/// 关键字搜索
class FavoritesGoodsListSearchEvent extends FavoritesGoodsListEvent {
  final String keyword;
  FavoritesGoodsListSearchEvent(this.keyword);
}

/// 右滑动删除
class FavoritesGoodsListSlideDeleteEvent extends FavoritesGoodsListEvent{
  final int index;
  FavoritesGoodsListSlideDeleteEvent(this.index);
}

/// 删除
class FavoritesGoodsListDeleteEvent extends FavoritesGoodsListEvent {}

/// 切换样式
class FavoritesGoodsListChangeStyleEvent extends FavoritesGoodsListEvent{}

/// 商品的当个选中
class FavoritesGoodsListSignGoodsSelectEvent extends FavoritesGoodsListEvent{
  // final FavoritesGoodsListItemModel model;
  final int index;
  FavoritesGoodsListSignGoodsSelectEvent(this.index);
}

/// 商品的全选
class FavoritesGoodsListGoodsSelectAllEvent extends FavoritesGoodsListEvent{}

/// 商品的全部取消
class FavoritesGoodsListGoodsCancelAllEvent extends FavoritesGoodsListEvent{}