import 'package:equatable/equatable.dart';
import 'package:zhiying_base_widget/widgets/goods_details/coupon/model/counpon_model.dart';

abstract class CounponState extends Equatable {
  const CounponState();
}

/// 初始化
class CounponInitial extends CounponState {
  @override
  List<Object> get props => [];
}

/// 数据加载成功
class CounponLoadedState extends CounponState {
  CounponModel model;

  CounponLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class CounponErrorState extends CounponState {
  @override
  List<Object> get props => [];
}
