class GoodsDetailsPriceModel {
  String buy_color;
  String buy_text;
  String current_price;
  String good_id;
  String market_price;
  String point;
  String points_bg_color;
  String points_color;
  String sold_count;
  String ticket;
  String ticket_color;
  String ticket_price_color;
  String price_color;
  String symbol;
  String hand_price_text;
  String is_coupon;
  String provider;

  GoodsDetailsPriceModel({
    this.buy_color,
    this.buy_text,
    this.current_price,
    this.good_id,
    this.market_price,
    this.point,
    this.points_bg_color,
    this.points_color,
    this.sold_count,
    this.ticket,
    this.ticket_color,
    this.ticket_price_color,
    this.price_color,
    this.symbol,
    this.hand_price_text,
    this.is_coupon,
    this.provider,
  });

  factory GoodsDetailsPriceModel.fromJson(Map<String, dynamic> json) {
    return GoodsDetailsPriceModel(
      buy_color: json['buy_color'],
      buy_text: json['buy_text'],
      current_price: json['current_price'],
      good_id: json['good_id'],
      market_price: json['market_price'],
      point: json['point'],
      points_bg_color: json['points_bg_color'],
      points_color: json['points_color'],
      sold_count: json['sold_count'],
      ticket: json['ticket'],
      ticket_color: json['ticket_color'],
      ticket_price_color: json['ticket_price_color'],
      price_color: json['price_color'],
      symbol: json['symbol'],
      hand_price_text: json['hand_price_text'],
      is_coupon: json['is_coupon'],
      provider: json['provider'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['buy_color'] = this.buy_color;
    data['buy_text'] = this.buy_text;
    data['current_price'] = this.current_price;
    data['good_id'] = this.good_id;
    data['market_price'] = this.market_price;
    data['point'] = this.point;
    data['points_bg_color'] = this.points_bg_color;
    data['points_color'] = this.points_color;
    data['sold_count'] = this.sold_count;
    data['ticket'] = this.ticket;
    data['ticket_color'] = this.ticket_color;
    data['ticket_price_color'] = this.ticket_price_color;
    data['price_color'] = this.price_color;
    data['symbol'] = this.symbol;
    data['hand_price_text'] = this.hand_price_text;
    data['is_coupon'] = this.is_coupon;
    data['provider'] = this.provider;
    return data;
  }
}
