class GoodsDetailRecommendModel {
  String recListIcon;
  String recListText;
  String recListTextColor;
  String recType;
  String providerNameColor;
  String providerBgColor;
  String titleColor;
  String shopIcon;
  String shopNameColor;
  String currentPriceColor;
  String marketPriceColor;
  String couponTextColor;
  String couponBgColor;
  String commissionTextColor;
  String commissionBgColor;

  GoodsDetailRecommendModel(
      {this.recListIcon,
      this.recListText,
      this.recListTextColor,
      this.recType,
      this.providerNameColor,
      this.providerBgColor,
      this.titleColor,
      this.shopIcon,
      this.shopNameColor,
      this.currentPriceColor,
      this.marketPriceColor,
      this.couponTextColor,
      this.couponBgColor,
      this.commissionTextColor,
      this.commissionBgColor});

  GoodsDetailRecommendModel.fromJson(Map<String, dynamic> json) {
    recListIcon = json['rec_list_icon'];
    recListText = json['rec_list_text'];
    recListTextColor = json['rec_list_text_color'];
    recType = json['rec_type'];
    providerNameColor = json['provider_name_color'];
    providerBgColor = json['provider_bg_color'];
    titleColor = json['title_color'];
    shopIcon = json['shop_icon'];
    shopNameColor = json['shop_name_color'];
    currentPriceColor = json['current_price_color'];
    marketPriceColor = json['market_price_color'];
    couponTextColor = json['coupon_text_color'];
    couponBgColor = json['coupon_bg_color'];
    commissionTextColor = json['commission_text_color'];
    commissionBgColor = json['commission_bg_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['rec_list_icon'] = this.recListIcon;
    data['rec_list_text'] = this.recListText;
    data['rec_list_text_color'] = this.recListTextColor;
    data['rec_type'] = this.recType;
    data['provider_name_color'] = this.providerNameColor;
    data['provider_bg_color'] = this.providerBgColor;
    data['title_color'] = this.titleColor;
    data['shop_icon'] = this.shopIcon;
    data['shop_name_color'] = this.shopNameColor;
    data['current_price_color'] = this.currentPriceColor;
    data['market_price_color'] = this.marketPriceColor;
    data['coupon_text_color'] = this.couponTextColor;
    data['coupon_bg_color'] = this.couponBgColor;
    data['commission_text_color'] = this.commissionTextColor;
    data['commission_bg_color'] = this.commissionBgColor;
    return data;
  }
}
