part of 'goods_details_slide_banner_bloc.dart';

abstract class GoodsDetailsSlideBannerState extends Equatable {
  const GoodsDetailsSlideBannerState();
}

class GoodsDetailsSlideBannerInitial extends GoodsDetailsSlideBannerState {
  @override
  List<Object> get props => [];
}

/// 数据加载成功
class GoodsDetailsSlideBannerLoadedState extends GoodsDetailsSlideBannerState {
  GoodsDetailsSlideBannerModel model;

  GoodsDetailsSlideBannerLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class GoodsDetailsSlideBannerErrorState extends GoodsDetailsSlideBannerState {
  @override
  List<Object> get props => [];
}
