class GoodsDetailsSlideBannerModel {
  List<String> image_list;

  String name;
  String desc;
  String pagination;
  String moduleType;
  String moduleKey;
  String isTopMargin;
  String isLeftRightMargin;
  String isShow;
  String carouselType;
  String paginationSelectColor;
  String paginationUnselectColor;
  String barWidthHeightRatio;
  String bgWidthHeightRatio;
  String carouselTime;
  String topMargin;
  String leftRightMargin;
  String topLeftRadius;
  String topRightRadius;
  String bottomLeftRadius;
  String bottomRightRadius;
  String bgColor;
  String hasVideo;
  // List<Null> indexCarouselList;

  GoodsDetailsSlideBannerModel({
    this.image_list,
    this.name,
    this.desc,
    this.pagination,
    this.moduleType,
    this.moduleKey,
    this.isTopMargin,
    this.isLeftRightMargin,
    this.isShow,
    this.carouselType,
    this.paginationSelectColor,
    this.paginationUnselectColor,
    this.barWidthHeightRatio,
    this.bgWidthHeightRatio,
    this.carouselTime,
    this.topMargin,
    this.leftRightMargin,
    this.topLeftRadius,
    this.topRightRadius,
    this.bottomLeftRadius,
    this.bottomRightRadius,
    this.bgColor,
    this.hasVideo,
    // this.indexCarouselList,
  });

  GoodsDetailsSlideBannerModel.fromJson(Map<String, dynamic> json) {
      image_list = json['image_list'] != null ? new List<String>.from(json['image_list']) : null;

      name = json['name'];
      desc = json['desc'];
      pagination = json['pagination'];
      moduleType = json['module_type'];
      moduleKey = json['module_key'];
      isTopMargin = json['is_top_margin'];
      isLeftRightMargin = json['is_left_right_margin'];
      isShow = json['is_show'];
      carouselType = json['carousel_type'];
      paginationSelectColor = json['pagination_select_color'];
      paginationUnselectColor = json['pagination_unselect_color'];
      barWidthHeightRatio = json['bar_width_height_ratio'];
      bgWidthHeightRatio = json['bg_width_height_ratio'];
      carouselTime = json['carousel_time'].toString();
      topMargin = json['top_margin'];
      leftRightMargin = json['left_right_margin'];
      topLeftRadius = json['top_left_radius'];
      topRightRadius = json['top_right_radius'];
      bottomLeftRadius = json['bottom_left_radius'];
      bottomRightRadius = json['bottom_right_radius'];
      bgColor = json['bg_color'];
      hasVideo = json['has_video'];
      // if (json['index_carousel_list'] != null) {
      //     indexCarouselList = new List<Null>();
      //     json['index_carousel_list'].forEach((v) {
      //         indexCarouselList.add(new Null.fromJson(v));
      //     });
      // }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.image_list != null) {
      data['image_list'] = this.image_list;
    }
    data['name'] = this.name;
    data['desc'] = this.desc;
    data['pagination'] = this.pagination;
    data['module_type'] = this.moduleType;
    data['module_key'] = this.moduleKey;
    data['is_top_margin'] = this.isTopMargin;
    data['is_left_right_margin'] = this.isLeftRightMargin;
    data['is_show'] = this.isShow;
    data['carousel_type'] = this.carouselType;
    data['pagination_select_color'] = this.paginationSelectColor;
    data['pagination_unselect_color'] = this.paginationUnselectColor;
    data['bar_width_height_ratio'] = this.barWidthHeightRatio;
    data['bg_width_height_ratio'] = this.bgWidthHeightRatio;
    data['carousel_time'] = this.carouselTime;
    data['top_margin'] = this.topMargin;
    data['left_right_margin'] = this.leftRightMargin;
    data['top_left_radius'] = this.topLeftRadius;
    data['top_right_radius'] = this.topRightRadius;
    data['bottom_left_radius'] = this.bottomLeftRadius;
    data['bottom_right_radius'] = this.bottomRightRadius;
    data['bg_color'] = this.bgColor;
    data['has_video'] = this.hasVideo;
    // if (this.indexCarouselList != null) {
    //     data['index_carousel_list'] =
    //         this.indexCarouselList.map((v) => v.toJson()).toList();
    // }
    return data;
  }
}
