import 'package:equatable/equatable.dart';
import 'package:zhiying_base_widget/widgets/goods_details/store/model/store_model.dart';

abstract class StoreState extends Equatable {
  const StoreState();
}

class StoreInitial extends StoreState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕
class StoreLoadedState extends StoreState {

  final StoreModel model;
  const StoreLoadedState({this.model});

  @override
  List<Object> get props => [];
}

/// 数据加载出错
class StoreErrorState extends StoreState {
  @override
  List<Object> get props => [];
}
