part of 'team_recommend_bloc.dart';

abstract class TeamRecommendState extends Equatable {
  const TeamRecommendState();
}

class TeamRecommendInitial extends TeamRecommendState {
  @override
  List<Object> get props => [];
}

class TeamRecommendLoadedState extends TeamRecommendState {
  final TeamDataModel model;

  const TeamRecommendLoadedState(this.model);

  @override
  List<Object> get props => [this.model];
}

class TeamRecommendErrorState extends TeamRecommendState{
  @override
  List<Object> get props => [];
}
